<?php
/**
* @package   Victory Two Joomla 1.5 Template
* @version   1.0 February 2011
* @author    Joomla-Theme.com http://www.joomla-theme.com
* @copyright Copyright (C) 2011 Joomla-Theme.com
* license GNU/GPL
* THIS IS NOT FREE SOFTWARE
*/

// no direct access
defined('_JEXEC') or die('Restricted access');


if ( ! defined('modMainMenuXMLCallbackDefined') )
{
function modMainMenuXMLCallback(&$node, $args)
{
   $user   = &JFactory::getUser();
   $menu   = &JSite::getMenu();
   $active   = $menu->getActive();
   $path   = isset($active) ? array_reverse($active->tree) : null;

   if (($args['end']) && ($node->attributes('level') >= $args['end']))
   {
      $children = $node->children();
      foreach ($node->children() as $child)
      {
         if ($child->name() == 'ul') {
            $node->removeChild($child);
         }
      }
   }

if ($node->name() == 'ul') {
    foreach ($node->children() as $child) {
        if ($child->attributes('access') > $user->get('aid', 0)) {
            $node->removeChild($child);
        }
    }
    $children_count = count($node->children());
    $children_index = 0;
    foreach ($node->children() as $child) {
        if ($children_index == 0) {
            $child->addAttribute('class', 'first');
        }
        if ($children_index == $children_count - 1) {
            $child->addAttribute('class', 'last');
        }
        $children_index++;
    }
}

   if($node->name() == "li") {
      if($node->attributes('class')) {
         $node->addAttribute('class', $node->attributes('class').' level'.$node->attributes('level'));
      } else {
         $node->addAttribute('class', 'level'.$node->attributes('level'));
      }
   }

   if (($node->name() == 'li') && isset($node->ul)) {
      $node->addAttribute('class', $node->attributes('class').' parent');
   }

   if (isset($path) && in_array($node->attributes('id'), $path))
   {
      if ($node->attributes('class')) {
         $node->addAttribute('class', $node->attributes('class').' active');
      } else {
         $node->addAttribute('class', 'active');
      }
   }
   else
   {
      if (isset($args['children']) && !$args['children'])
      {
         $children = $node->children();
         foreach ($node->children() as $child)
         {
            if ($child->name() == 'ul') {
               $node->removeChild($child);
            }
         }
      }
   }

   if (($node->name() == 'li') && ($id = $node->attributes('id'))) {
      if ($node->attributes('class')) {
         $node->addAttribute('class', $node->attributes('class').' item'.$id);
      } else {
         $node->addAttribute('class', 'item'.$id);
      }
   }

   if (isset($path) && $node->attributes('id') == $path[0]) {
      $node->addAttribute('id', 'current');
   } else {
      $node->removeAttribute('id');
   }
   $node->removeAttribute('level');
   $node->removeAttribute('access');
}
   define('modMainMenuXMLCallbackDefined', true);
}

modMainMenuHelper::render($params, 'modMainMenuXMLCallback');